Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmMailMessage

All Superinterfaces
  IAttachmentSupport, IGroupwareItem, IItem, IMailMessage, IMessage, IMessagingItem, Serializable

    public interface ICmMailMessage

extends IMailMessage, IAttachmentSupport

This interface is used to represent a mail message for the BEA CM provider. The implementation of this class is used to bridge a native mail system with the Content Management backend store. The item class is `item.mail.beacm`.

Field Summary
`static ItemClass` | `CLASS` The item class for a mail message.
`static Key` | `HEADERS` Represents the headers of a message.
`static int` | `KEYID_HEADERS` The `int` ID for the `HEADERS` key.
`static int` | `KEYID_MESSAGE_ID` The `int` ID for the `MESSAGE_ID` key.
`static int` | `KEYID_MESSAGE_SIZE` The `int` ID for the `MESSAGE_SIZE` key.
`static int` | `KEYID_MIME_BODY` The `int` ID for the `MIME_BODY` key.
`static int` | `KEYID_RECIPIENTS` The `int` ID for the `RECIPIENTS` key.
`static Key` | `MESSAGE_ID` Represents the mime body of a message.
`static Key` | `MESSAGE_SIZE` Represents the recipients of a message.
`static Key` | `MIME_BODY` Represents the mime body of a message.
`static Key` | `RECIPIENTS` Represents the recipients of a message.

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`String` | `getHeaders()` Gets the headers.
`String` | `getMimeBody()` Gets the mime body.

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_MESSAGE_ID

    static final int KEYID_MESSAGE_ID

  The `int` ID for the `MESSAGE_ID` key.

  See Also
    Constants Summary

### KEYID_MIME_BODY

    static final int KEYID_MIME_BODY

  The `int` ID for the `MIME_BODY` key.

  See Also
    Constants Summary

### KEYID_HEADERS

    static final int KEYID_HEADERS

  The `int` ID for the `HEADERS` key.

  See Also
    Constants Summary

### KEYID_RECIPIENTS

    static final int KEYID_RECIPIENTS

  The `int` ID for the `RECIPIENTS` key.

  See Also
    Constants Summary

### KEYID_MESSAGE_SIZE

    static final int KEYID_MESSAGE_SIZE

  The `int` ID for the `MESSAGE_SIZE` key.

  See Also
    Constants Summary

### MESSAGE_ID

    static final Key MESSAGE_ID

  Represents the mime body of a message.

### MIME_BODY

    static final Key MIME_BODY

  Represents the mime body of a message.

### HEADERS

    static final Key HEADERS

  Represents the headers of a message.

### RECIPIENTS

    static final Key RECIPIENTS

  Represents the recipients of a message.

### MESSAGE_SIZE

    static final Key MESSAGE_SIZE

  Represents the recipients of a message.

### CLASS

    static final ItemClass CLASS

  The item class for a mail message.

Method Detail

### getHeaders

    String getHeaders()
                      throws CollaborationException

  Gets the headers.

  Returns
    the headers
  Throws
    `CollaborationException`

### getMimeBody

    String getMimeBody()
                       throws CollaborationException

  Gets the mime body.

  Returns
    the mime body
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved